# Maintainers Registry

## Code

`MaintainersRegistry.sol`

## Address

`MaintainersRegistry` is deployed at [`0x8B7819135Fe97aBFDc0c88596509c00FA727eaDc`](https://etherscan.io/address/0x8B7819135Fe97aBFDc0c88596509c00FA727eaDc) on the Ethereum mainnet.

## Overview

Registry of `maintainers`. `Maintainer` is an account that has permissions to call functions that ordinary users cannot call.

## Events

### MembershipChanged

```solidity
event MaintainerStatusChanged(address maintainer, bool isMember);
```

* Emitted each time when someone is added or removed from members list.

## Read-Only Functions

### hordCongress

```solidity
function hordCongress() external view returns (address);
```

* Returns the address of the HordCongress contract.&#x20;

### allMaintainers

```solidity
function allMaintainers(uint256 maintainerId) external view returns (address);
```

* Returns the address of specific `maintainerId`.

### isMaintainer

```solidity
function isMaintainer(address _address) external view returns (bool);
```

* Returns true/false depending on whether the `_address` is a maintainer or not.

## State-Changing Functions

### addMaintainer

```solidity
function addMaintainer(address _address) public;
```

* Function that serves for adding maintainer, callable only by HordCongress.
* Emits a `MaintainerStatusChanged` event.

### removeMaintainer

```solidity
function removeMaintainer(address _maintainer) external;
```

* Function that serves for removing maintainer, callable only by HordCongress.
* Emits a `MaintainerStatusChanged` event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hord.fi/protocol/smart-contracts/maintainers-registry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
